16514 - RET [Retrieve] = Copy data from a buffer into the display file.

213075    LD  HL,$7530          5 K ?                  ; The address of the buffer.
ED5B0C40  LD  DE,($400C)        GOSUB ?  RND          ; Fetch the address of the display file.
13        INC DE                <                      ; Skip the initial newline.
01D602    LD  BC,$02D6          Graphic1 CHR$ Graphic2 ; Size of the display file data to store (726 = 22 * 33).
EDB0      LDIR                  GOSUB InverseK         ; Copy the data into the buffer.
C9        RET                   TAN                    ; Return to BASIC.

The $75 in the first instruction is POKEd from BASIC using 3 POKE 16516,117.
The $5B in the second instruction is POKEd from BASIC using 4 POKE 16518,91.



16534 - STO [Store] - Copy data from display file to a buffer.

2A0C40    LD HL,($400C)         E  RND                ; Fetch the address of the display file.
113075    LD DE,$7530           ) K ?                  ; The address of the buffer.
01D602    LD BC,$02D6           Graphic1 CHR$ Graphic2 ; Size of the display file data to restore (726 = 22 * 33).
23        INC HL                7
EDB0      LDIR                  GOSUB InverseK         ; Copy the data into the display file.
C9        RET                   TAN                    ; Return to BASIC.

The $75 in the second instruction is POKEd from BASIC using 5 POKE 16539,117.

[Paul Farrow, Nov'17]
